Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

## Class DateTimePeriod1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_09.DateTimePeriod1

    public class DateTimePeriod1
    extends java.lang.Object

Java class for DateTimePeriod1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateTimePeriod1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FrDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODateTime"/>
             <element name="ToDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `frDtTm`
`protected javax.xml.datatype.XMLGregorianCalendar` `toDtTm`

### Constructor Summary

Constructors
`DateTimePeriod1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getFrDtTm()` Gets the value of the frDtTm property.
`javax.xml.datatype.XMLGregorianCalendar` `getToDtTm()` Gets the value of the toDtTm property.
`void` `setFrDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the frDtTm property.
`void` `setToDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the toDtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frDtTm

    protected javax.xml.datatype.XMLGregorianCalendar frDtTm

#### toDtTm

    protected javax.xml.datatype.XMLGregorianCalendar toDtTm

### Constructor Detail

#### DateTimePeriod1

    public DateTimePeriod1()

### Method Detail

#### getFrDtTm

    public javax.xml.datatype.XMLGregorianCalendar getFrDtTm()

Gets the value of the frDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setFrDtTm

    public void setFrDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the frDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getToDtTm

    public javax.xml.datatype.XMLGregorianCalendar getToDtTm()

Gets the value of the toDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setToDtTm

    public void setToDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the toDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`